{% set CodiceModulo = "CON_TRA_APP" %}
{% set Urn = "document:c_c990:transito.sosta.appositi.spazi;domanda" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
	{ "codice":"CAR-CIR-VEI",
		"urn":"document:s_italia:viabilita;transito.mezzi.pesanti;carta.circolazione.veicolo;documentazione",
		"descrizione_tabella_allegati":"Carta di circolazione del veicolo",
		"annotazioni_tabella_allegati":"",
		"descrizione_meta":"",
		"filename":"Carta circolazione veicolo",
		"firmatari":"Titolare_CodiceFiscale",
		"firmatari_label":"il dichiarante",
		"firmato":"NO",
		"numero":"1",
		"dimensione":"15",
		"enabled":"true",
		"dynamic_check":"true",
		"tipo":"allegato",
		"tipo_mime":"application/pdf"
		},
	{ "codice":"DIC-CON-AUT",
		"urn":"document:c_c990:conferimento.uso.personale.veicolo",
		"descrizione_tabella_allegati":"Dichiarazione della ditta di conferimento ad uso permanente del veicolo",
		"annotazioni_tabella_allegati":"",
		"descrizione_meta":"",
		"filename":"Dichiarazione ditta uso veicolo",
		"firmatari":"Titolare_CodiceFiscale",
		"firmatari_label":"il dichiarante",
		"firmato":"NO",
		"numero":"1",
		"dimensione":"15",
		"enabled":"#Dichiara2.checked()",
		"dynamic_check":"#Dichiara2.checked()",
		"tipo":"allegato",
		"tipo_mime":"application/pdf"
		},
	{ "codice":"CES-FAB-CON",
		"urn":"document:c_c990:cessione.fabbricato;comunicazione",
		"descrizione_tabella_allegati":"Copia della comunicazione di cessione di fabbricato o la copia del contratto registrato all’Agenzia delle Entrate",
		"annotazioni_tabella_allegati":"",
		"descrizione_meta":"",
		"filename":"Cessione fabbricato contratto Agenzia",
		"firmatari":"Titolare_CodiceFiscale",
		"firmatari_label":"il dichiarante",
		"firmato":"NO",
		"numero":"1",
		"dimensione":"15",
		"enabled":"#Dichiara4.checked()",
		"dynamic_check":"#Dichiara4.checked()",
		"tipo":"allegato",
		"tipo_mime":"application/pdf"
		},
	{ "codice":"DAE-CDI",
		"urn":"document:s_italia:generale;documento.identita;documentazione",
		"descrizione_tabella_allegati":"copia del documento di identità",
		"annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
		"descrizione_meta":"",
		"filename":"Documento identita",
		"firmatari":"Titolare_CodiceFiscale",
		"firmatari_label":"il dichiarante",
		"firmato":"NO",
		"numero":"1",
		"dimensione":"15",
		"enabled":"",
		"dynamic_check":"",
		"tipo":"allegato",
		"tipo_mime":"application/pdf"
	}
]%}
{% set campi_firma = [
  {
    "campi_firma" : "Titolare_CodiceFiscale",
    "campi_firma_label" : "il dichiarante",
    "firmatario" : "SI"
  }
]%}
{% extends "base.html" %}
{% block meta %}

<meta campi_firma="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma'] }}{% endif %}{% endfor %}"
campi_firma_label="{% for campofirma in campi_firma %}{% if campofirma['firmatario'] == 'SI' %}{% if not loop.first %},{% endif %}{{ campofirma['campi_firma_label'] }}{% endif %}{% endfor %}"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda per il rilascio del contrassegno ZTL per il transito e la sosta negli appositi spazi"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="4.0|12/07/2024"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
		<meta codice_allegato="{{ allegato['codice'] }}"
		urn_allegato="{{ allegato['urn'] }}"
		descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
		filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
		firmatari="{{ allegato['firmatari'] }}"
		firmatari_label="{{ allegato['firmatari_label'] }}"
		firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
		numero="{{ allegato['numero'] }}"
		dimensione_massima="{{ allegato['dimensione'] }}"
		obbligatorio="DINAMICO"
		tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmatari="Titolare_CodiceFiscale"
firmatari_label="il dichiarante"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="application/pdf"/>

{% endblock meta %}

{% block title %} Domanda per il rilascio del contrassegno ZTL per il transito e la sosta negli appositi spazi {% endblock title %}

{% block content %}

<input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase()  + ' - rilascio contrassegno ZTL per transito e sosta negli appositi spazi'" id="Oggetto" name="Oggetto" type="hidden"/>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<div class="container">
  <div class="title-1"> Domanda per il rilascio del contrassegno ZTL per il transito e la sosta negli appositi spazi </div>
</div>

<!-- Per il precaricamento del profilo utente settare campi_readonly = 'readonly'
     Nelle anagrafiche del minore settare onceonly = 'true' -->
<input id="Titolare_DatiPersonaObbligatori" name="Titolare_DatiPersonaObbligatori" type="hidden" value="SI" dynamic_check="true"/>
<input id="Titolare_Titolo" name="Titolare_Titolo" type="hidden" value="Richiedente"/>
<input id="Titolare_Ruolo" name="Titolare_Ruolo" type="hidden" value="Richiedente"/>
{{ anagrafica.persona_fisica( prefix="Titolare", 
                              intestazione="Il sottoscritto", 
                              visibility_intestazione="visibility:visibility", 
                              visibility_residenza="visibility:visibility", 
                              visibility_mail="mail_ordinaria", 
                              cf_obbligatorio="true", 
                              pec_obbligatoria ="false", 
                              campi_readonly="readonly", 
                              mailordinaria_obbligatoria="false", 
                              visibility_domicilio="display:none", 
                              visibility_datanascita="visibility:visibility", 
                              onceonly="false")}}

{{ utils.domicilio_digitale(mandatory = "true", intestazione = "", pec = "false") }}

<div class="container mt-0 mb-0">
  <div class="title-3"> CHIEDE </div>
  <div class="paragraph text-justify"> il rilascio del contrassegno che consente il transito e la sosta in ZTL istituita a Corciano all’interno delle mura del castello per i seguenti veicoli </div>
</div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> a carico del seguente veicolo </span>
    </div>
  </div>
  {% for i in range(1, 5) %}
  {% if loop.first %}
  <div class="form-row">
    <div class="form-group col-lg-3">
      <label for="Parametri_VeicoloMarca"> Marca </label>
      <input class="form-control" id="Parametri_VeicoloMarca" name="Parametri_VeicoloMarca" label="Marca" onceonly="true" mandatory_enabled="true" >
    </div>
    <div class="form-group col-lg-3">
      <label for="Parametri_VeicoloModello"> Modello </label>
      <input class="form-control" id="Parametri_VeicoloModello" name="Parametri_VeicoloModello" label="Modello" onceonly="true" mandatory_enabled="true" >
    </div>
    <div class="form-group col-lg-3">
      <label for="Parametri_VeicoloTarga"> Targa </label>
      <input class="form-control" id="Parametri_VeicoloTarga" name="Parametri_VeicoloTarga" label="Targa" onceonly="true" format="alphanumeric" mandatory_enabled="true" >
    </div>
    <div class="form-group col-lg-3">
      <label for="Parametri_VeicoloIntestatario"> Intestatario </label>
      <input class="form-control" id="Parametri_VeicoloIntestatario" name="Parametri_VeicoloIntestatario" label="Intestatario" onceonly="true" mandatory_enabled="true" >
    </div>
  </div>
  {% else %}
  <div class="form-row">
    <div class="form-group col-lg-3">
      <input class="form-control" id="Parametri_VeicoloMarca{{ i }}" name="Parametri_VeicoloMarca{{ i }}" label="Marca" onceonly="true" {% if loop.index == 2 %} enabled="#Parametri_VeicoloMarca.value() != ''" {% else %} enabled="#Parametri_VeicoloMarca{{ i-1 }}.value() != ''" {% endif %} >
    </div>
    <div class="form-group col-lg-3">
      <input class="form-control" id="Parametri_VeicoloModello{{ i }}" name="Parametri_VeicoloModello{{ i }}" label="Modello" onceonly="true" mandatory_enabled="#Parametri_VeicoloMarca{{ i }}.value() != ''" >
    </div>
    <div class="form-group col-lg-3">
      <input class="form-control" id="Parametri_VeicoloTarga{{ i }}" name="Parametri_VeicoloTarga{{ i }}" label="Targa" format="alphanumeric" onceonly="true" mandatory_enabled="#Parametri_VeicoloMarca{{ i }}.value() != ''" >
    </div>
    <div class="form-group col-lg-3">
      <input class="form-control" id="Parametri_VeicoloIntestatario{{ i }}" name="Parametri_VeicoloIntestatario{{ i }}" label="Intestatario" onceonly="true" mandatory_enabled="#Parametri_VeicoloMarca{{ i }}.value() != ''" >
    </div>
  </div>
  {% endif %}
  {% endfor %}
</div>

<globo_salto_pagina></globo_salto_pagina>

{{ utils.Dichiara_445() }}

<div class="container mt-0 mb-0">
  <div class="form-check indent-1">
    <input class="form-check-input" id="Dichiara1" name="Dichiara1" type="checkbox" value="SI">
    <label class="form-check-label" for="Dichiara1"> di essere intestatario dei suddetti veicoli e di essere residente all’interno della ZTL </label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Dichiara2" name="Dichiara2" type="checkbox" value="SI">
    <label class="form-check-label" for="Dichiara2"> di utilizzare il suddetto veicolo di proprietà della ditta in qualità di titolare o dipendente e di essere residente all’interno della ZTL, pertanto allega apposita dichiarazione della ditta di uso del veicolo </label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Dichiara3" name="Dichiara3" type="checkbox" value="SI">
    <label class="form-check-label" for="Dichiara3"> di essere intestatario del suddetto veicolo, e di essere proprietario di una casa di civile abitazione ubicata all’interno della ZTL non affittata ad altre persone </label>
    <div class="containerindentato border bg-light pl-0">
      {{ immobili.immobile_toponomastica_senzavalidazione_secondario(prefix="Immobile1", 
                                                                     intestazione="", 
                                                                     annotazioniSolo1="", 
                                                                     visibility_intestazione="display:none", 
                                                                     civico_obbligatorio="true", 
                                                                     mandatory_enabled="#Dichiara3.checked()", 
                                                                     enabled="true", 
                                                                     suffix="", 
                                                                     visibility_info="false" )}}
    </div>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" id="Dichiara4" name="Dichiara4" type="checkbox" value="SI">
    <label class="form-check-label" for="Dichiara4"> di essere intestatario del suddetto veicolo e di dimorare all’interno della ZTL, pertanto allega la comunicazione di cessione del fabbricato o la copia del contratto registrato all’Agenzia delle Entrate </label>
  </div>
</div>

<div class="space-1"></div>

{{ utils.eventuali_annotazioni()}}

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}</label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

<globo_fondo_pagina style="margin-left: 25pt;" areaheight="150" scope="2">
  {{ utils.firma_unificata()}}
</globo_fondo_pagina>

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}
